package models

import "time"

type Lesson struct {
	Id             string `gorm:"primaryKey;type:varchar(36)"`
	OrganizationId string `gorm:"type:varchar(36)"`
	State          uint8  `gorm:"type:tinyint(1)"`
	Title          string `gorm:"type:varchar(255)"`
	ThumbnailUrl   string `gorm:"type:varchar(255)"`
	CreatorUserId  string `gorm:"type:varchar(36)"`
	CreatedAt      time.Time
	UpdatedAt      time.Time
}

type LessonContent struct {
	Id        string `gorm:"primaryKey;type:varchar(36)"`
	LessonId  string `gorm:"type:varchar(36)"`
	Page      uint16 `gorm:"type:smallint(5)"` // Page number
	Position  uint16 `gorm:"type:smallint(5)"` // Position on the page
	Type      uint8  // Type of content, like text, image, video, etc
	Data      string `gorm:"type:text"`
	CreatedAt time.Time
	UpdatedAt time.Time
}
